- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# panos_interface – configure data-port network interface for DHCP

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Configure data-port (DP) network interface for DHCP. By default DP interfaces are static.

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python can be obtained from PyPI https://pypi.org/project/pan-python/

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
commit boolean | Choices: no yes ← | Commit if changed
create_default_route boolean | Choices: no ← yes | Whether or not to add default route with router learned via DHCP.
if_name - / required |  | Name of the interface to configure.
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
password string / required |  | Password for authentication.
username string | Default: "admin" | Username for authentication.
zone_name - / required |  | Name of the zone for the interface. If the zone does not exist it is created but if the zone exists and it is not of the layer3 type the operation will fail.

## Notes

Note

- Checkmode is not supported.

## Examples

    - name: enable DHCP client on ethernet1/1 in zone public
      interface:
        password: "admin"
        ip_address: "192.168.1.1"
        if_name: "ethernet1/1"
        zone_name: "public"
        create_default_route: "yes"

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.